org.eclipse.cdt.core.settings.model

## Interface ICDescriptionDelta

    public interface ICDescriptionDelta

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static int` `ACTIVE_CFG`
`static int` `ADDED` kind specifying that the setting object returned by the `getSetting()` was added the `getNewSetting()` returns the same object as `getSetting()` the `getOldSetting()` returns null
`static int` `BINARY_PARSER_IDS`
`static int` `CFG_REF_ADDED`
`static int` `CFG_REF_REMOVED`
`static int` `CHANGED` kind specifying that the setting object was changed the `getNewSetting()` returns new object the `getOldSetting()` returns old object the `getSetting()` returns the same object as `getNewSetting()`
`static int` `DESCRIPTION`
`static int` `ERROR_PARSER_IDS`
`static int` `EXCLUDE`
`static int` `EXT_REF`
`static int` `EXTERNAL_SETTINGS_ADDED`
`static int` `EXTERNAL_SETTINGS_REMOVED`
`static int` `INDEX_CFG`
`static int` `LANGUAGE_ID`
`static int` `LANGUAGE_SETTINGS_PROVIDERS`
`static int` `NAME`
`static int` `OWNER`

`static int`

`PROJECT_CREAION_COMPLETED`
specifies that the project "isCdtProjectCreating" state was set to false the PROJECT_CREAION_COMPLETED delta gets notified ONLY in case the project previously contained the project description with the true "isCdtProjectCreating" state in case the initial project description does NOT contain the true "isCdtProjectCreating" the project is considered as initialized from the very beginning and the PROJECT_CREAION_COMPLETED delta is NOT notified

`static int` `REMOVED` kind specifying that the setting object returned by the `getSetting()` was removed the `getNewSetting()` returns null the `getOldSetting()` returns the same object as `getSetting()`
`static int` `SETTING_CFG`
`static int` `SETTING_ENTRIES`
`static int` `SOURCE_ADDED`
`static int` `SOURCE_CONTENT_TYPE`
`static int` `SOURCE_ENTENSIONS` Deprecated. Use ICDescriptionDelta.SOURCE_EXTENSIONS @noreference This field is not intended to be referenced by clients.
`static int` `SOURCE_EXTENSIONS`
`static int` `SOURCE_REMOVED`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getAddedEntriesKinds()`
`int` `getChangeFlags()`
`ICDescriptionDelta[]` `getChildren()`
`int` `getDeltaKind()` returns the kind
`ICSettingObject` `getNewSetting()`
`ICSettingObject` `getOldSetting()`
`ICDescriptionDelta` `getParent()`
`int` `getRemovedEntriesKinds()`
`int` `getReorderedEntriesKinds()`
`ICSettingObject` `getSetting()`
`int` `getSettingType()`

### Field Detail

#### REMOVED

    static final int REMOVED

kind specifying that the setting object returned by the `getSetting()` was removed the `getNewSetting()` returns null the `getOldSetting()` returns the same object as `getSetting()`

See Also:
  Constant Field Values

#### ADDED

    static final int ADDED

kind specifying that the setting object returned by the `getSetting()` was added the `getNewSetting()` returns the same object as `getSetting()` the `getOldSetting()` returns null

See Also:
  Constant Field Values

#### CHANGED

    static final int CHANGED

kind specifying that the setting object was changed the `getNewSetting()` returns new object the `getOldSetting()` returns old object the `getSetting()` returns the same object as `getNewSetting()`

See Also:
  Constant Field Values

#### ACTIVE_CFG

    static final int ACTIVE_CFG

See Also:
  Constant Field Values

#### NAME

    static final int NAME

See Also:
  Constant Field Values

#### DESCRIPTION

    static final int DESCRIPTION

See Also:
  Constant Field Values

#### LANGUAGE_ID

    static final int LANGUAGE_ID

See Also:
  Constant Field Values

#### SOURCE_CONTENT_TYPE

    static final int SOURCE_CONTENT_TYPE

See Also:
  Constant Field Values

#### SOURCE_EXTENSIONS

    static final int SOURCE_EXTENSIONS

Since:
  5.4
See Also:
  Constant Field Values

#### SOURCE_ENTENSIONS

    @Deprecated
    static final int SOURCE_ENTENSIONS

Deprecated. Use ICDescriptionDelta.SOURCE_EXTENSIONS @noreference This field is not intended to be referenced by clients.

See Also:
  Constant Field Values

#### SETTING_ENTRIES

    static final int SETTING_ENTRIES

See Also:
  Constant Field Values

#### BINARY_PARSER_IDS

    static final int BINARY_PARSER_IDS

See Also:
  Constant Field Values

#### ERROR_PARSER_IDS

    static final int ERROR_PARSER_IDS

See Also:
  Constant Field Values

#### EXCLUDE

    static final int EXCLUDE

See Also:
  Constant Field Values

#### SOURCE_ADDED

    static final int SOURCE_ADDED

See Also:
  Constant Field Values

#### SOURCE_REMOVED

    static final int SOURCE_REMOVED

See Also:
  Constant Field Values

#### EXTERNAL_SETTINGS_ADDED

    static final int EXTERNAL_SETTINGS_ADDED

See Also:
  Constant Field Values

#### EXTERNAL_SETTINGS_REMOVED

    static final int EXTERNAL_SETTINGS_REMOVED

See Also:
  Constant Field Values

#### CFG_REF_ADDED

    static final int CFG_REF_ADDED

See Also:
  Constant Field Values

#### CFG_REF_REMOVED

    static final int CFG_REF_REMOVED

See Also:
  Constant Field Values

#### EXT_REF

    static final int EXT_REF

See Also:
  Constant Field Values

#### OWNER

    static final int OWNER

See Also:
  Constant Field Values

#### INDEX_CFG

    static final int INDEX_CFG

See Also:
  Constant Field Values

#### SETTING_CFG

    static final int SETTING_CFG

See Also:
  Constant Field Values

#### LANGUAGE_SETTINGS_PROVIDERS

    static final int LANGUAGE_SETTINGS_PROVIDERS

Since:
  5.4
See Also:
  Constant Field Values

#### PROJECT_CREAION_COMPLETED

    static final int PROJECT_CREAION_COMPLETED

specifies that the project "isCdtProjectCreating" state was set to false the PROJECT_CREAION_COMPLETED delta gets notified ONLY in case the project previously contained the project description with the true "isCdtProjectCreating" state in case the initial project description does NOT contain the true "isCdtProjectCreating" the project is considered as initialized from the very beginning and the PROJECT_CREAION_COMPLETED delta is NOT notified

See Also:
  `ICProjectDescription.isCdtProjectCreating()`, `ICProjectDescription.setCdtProjectCreated()`, `ICProjectDescriptionManager.createProjectDescription(org.eclipse.core.resources.IProject, boolean, boolean)`, Constant Field Values

### Method Detail

#### getDeltaKind

    int getDeltaKind()

returns the kind

Returns:
  int
See Also:
  `ADDED`, `REMOVED`, `CHANGED`

#### getChangeFlags

    int getChangeFlags()

Returns:
  ored delta flags

#### getSettingType

    int getSettingType()

#### getAddedEntriesKinds

    int getAddedEntriesKinds()

#### getRemovedEntriesKinds

    int getRemovedEntriesKinds()

#### getReorderedEntriesKinds

    int getReorderedEntriesKinds()

#### getChildren

    ICDescriptionDelta[] getChildren()

#### getNewSetting

    ICSettingObject getNewSetting()

#### getSetting

    ICSettingObject getSetting()

#### getOldSetting

    ICSettingObject getOldSetting()

#### getParent

    ICDescriptionDelta getParent()